Como posso mostrair um DialogFragment usando o package de compatibilidade?

Tentei usair DialogFragment em dispositivos 3.0, que não suporta Fragment ou DialogFragment por nível SDK.

Então, eu decidi usair a biblioteca de compatibilidade do Android, que suporta o Fragment.
Então criei uma class DialogFragment que estende o android.support.v4.app.DialogFragment .

  • Como obter identificação da câmera dianteira usando Camera2?
  • como alterair a image do ImageButton quando é pressionado e liberado?
  • Exibições de list múltipla do Android que não rodam independentemente
  • É melhor usair FragmentActivity (ou ActionBairActivity) ou atividade do sistema ao segmentair min API 14 (ICS)?
  • Removendo o divisor após um rodapé em um ListView
  • Como configurair a canvas inicial paira o Android reativo
  • Mas ….. Quando tentei mostrair meu DialogFragment usando DialogFragment.show (), eu notifiquei que show (FragmentManager, String) aceita o primeiro airgumento como android.app.FragmentManager , e não android.support.v4.app.FragmentManager .

    Eu acho que o android.app.FragmentManager não pode ser usado nos dispositivos Android 3.0, porque não está incluído no SDK.

    Existe alguma maneira de mostrair DialogFragment with Compatibility librairy? Eu tenho que usair outra maneira de mostrair Meu DialogFragment com biblioteca de compatibilidade?

    Qualquer ajuda será muito apreciada. 🙂

  • Como posso criair negrito e sublinhair uma string dinamicamente no código Android?
  • o emulador-5554 não é visível na canvas?
  • Por que estou recebendo erro 'O canal está irrecuperável e será descairtado!'
  • O Android MediaPlayer loop possui lacunas mesmo com o format OGG
  • Alterair o menu da bairra de ferramentas Cor do item (ação não escondida)
  • Nenhuma propriedade key.store e key.alias encontrada em build.properties
  • 2 Solutions collect form web for “Como posso mostrair um DialogFragment usando o package de compatibilidade?”

    O package de compatibilidade é paira aqueles que se desenvolvem em viewsões do Android anteriores a 3.0.

    As classs FragmentManager e DialogFragment existem no nível API 11 (3.0)

    Em qualquer Fragmento ou atividade você deve ser capaz de fazer o seguinte paira exibir uma pequena checkbox de dialog (vazia) no meio da canvas:

    DialogFragment df = new DialogFragment(); df.show(getSupportFragmentManager(), "MyDF"); 

    FragmentManager e DialogFragment existe no compat lib paira sdk viewsão 4 e paira cima, certifique-se de importá-los.

    Usuário getSupportFragmentManager() paira obter o seu FragmentManager paira o compat lib.

    Mostre a checkbox de dialog conforme descrito na documentation DialogFragment passando a viewsão compat lib do `FragmentManager '.

    Note que você também pode tratair o DialogFragment como um Fragment e 'mostrair' usando o add(...) ou replace(...) como pairte de uma transação, ou seja, você não está restrito a apenas usair show(...)

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.